%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-ironic
Version:        9.5.0
Release:        2%{?dist}
Summary:        Puppet module for OpenStack Ironic
License:        Apache-2.0

URL:            https://launchpad.net/puppet-ironic

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=9.5.0
#
Patch0001: 0001-Add-ironic-drivers-interfaces-class.patch
Patch0002: 0002-Restart-dnsmasq-when-config-changes.patch
Patch0003: 0003-Add-ability-to-translate-net-name-to-UUID.patch
Patch0004: 0004-Allow-to-set-port_setup_delay-ironic-conductor-param.patch
Patch0005: 0005-Fix-user-in-sync.pp.patch
Patch0006: 0006-Fixes-for-Ironic-inspector-introspection-when-client.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet-vcsrepo
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Ironic

%prep
%setup -q -n openstack-ironic-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/ironic/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/ironic/



%files
%{_datadir}/openstack-puppet/modules/ironic/


%changelog
* Mon Oct 23 2017 Steve Linabery <slinaber@redhat.com> 9.5.0-2
- Fixes for Ironic-inspector introspection when client using UEFI
- Fix user in sync.pp
- Allow to set port_setup_delay ironic::conductor param
- Add ability to translate net name to UUID
- Restart dnsmasq when config changes
- Add ironic::drivers::interfaces class

* Tue Feb 14 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-1
- Update to 9.5.0 (rhbz#1422045)

* Thu Jan 05 2017 Jon Schlueter <jschluet@redhat.com> 9.4.1-2
- Added retries for db_sync (lp#1628580, lp#1645474)

* Mon Nov 07 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.1-1
- Update to 9.4.1

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Wed Sep 21 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0


